---
layout: markdown_page
title: "Marketing Operations"
---
Welcome to the Marketing Operations Handbook.
----

## On this page
{:.no_toc}

- TOC
{:toc}


----

## Overview

Marketing Operations (Mktg OPS) supports the entire Marketing team as well as other teams within GitLab. Mktg OPS works closely with Sales Operations to ensure information between systems is seamless and we are using consistent terminology in respective systems. 	


## Tech Stack  
For information regarding the tech stack at GitLab, please visit the [Revenue Operations section](/handbook/revenue-ops#tech-stack) of the handbook where we maintain a comprehensive table of the tools used across the Marketing, Sales and Customer Success functional groups.  


## How-tos & FAQs

### Marketing Team OKR Issue Board
For Q4 2017, we will be using an [Issue Board](https://gitlab.com/gitlab-com/marketing/boards/377172?milestone_title=Q4%202017&=) to track our department OKRs.   

To create an OKR issue do the following:   
 - **Title**: [META] {Team Name} OKR 1 (2 or 3): {Name of your OKR}  
      - Do not use a hash in front of the OKR number, it will associate the issue with existing issue with same number. Incorrect: '#1'
      - If using a hash in front of the OKR number put a space between the two characters. Correct: '# 1'
 - **Description**: List your 3 Key Results as todos/checkboxes  
 - **Assignee**: Assign to yourself   
 - **Milestone**: Associate the [META] Issue with 'Q4 2017'
 - **Labels**: 'OKR', your team label (Design, Content, etc), and appropriate status - 'Not Started' (starting position for 99% of OKRs), 'Progressing', or 'Partially Completed'   

When you start working on an OKR, update the label from ‘Not Started’ -> ‘Progressing’. If creating "sub-Issues" related to your META OKR Issue, associate using the 'Related Issue' section.

Merge Requests related to OKRs should also be associated ‘Q4 2017’ Milestone and contain ‘OKR’ & team label.


### Webcast &amp; Event Setup   
When creating an event (live or online), webcast, or gated content its important to integrate the campaign across the three main platforms used - Unbounce (landing page), Marketo (Marketing Automation) and Salesforce (CRM). This provides transparency about the event to anyone with access to Salesforce, namely the Sales and Marketing teams.  

[Instructions](https://docs.google.com/a/gitlab.com/document/d/1yWPT2yxxhBIpBFjqZLS3SBaKEJdxSBdSKG72dcrDF5k/edit?usp=sharing) to create an event from scratch or clone an existing event.


## Marketing Expense Tracking

| GL Code | Account Name | Purpose |
| :--- | :--- | :--- |
| 6100 | Marketing|Reserved for Marketing GL accounts|
| 6110 | Marketing Site|All software subscriptions, agency fees and contract work intended to improve the marketing site should go here |
| 6120 | Advertising|All media buying costs as well as agency fees and software subscriptions related to media buying should go here |
| 6130 | Events|All event sponsorships, booth shipping, event travel, booth design, event production as well as agency fees and software costs related to events should go here |
| 6140 | Email|All 3rd party email sponsorships as well as agency fees and software costs related to mass email communications and marketing automation should go here |
| 6150 | Brand|All PR, AR, content, swag and branding costs should go here |



## Email Management
Email database management is a core responsibility for Mktg OPS. Ensuring GitLab is following email best practices, in compliance with International spam laws and overall health of active database are all priorities.  


### Requesting an Email
To request an email, create an issue in Marketing and assign it to JJ Cordz (in addition to whomever else needs to be aware of email). Required request information, please be as complete as possible in providing detail related to the email:
- **Sender Name**: Typically we use GitLab Team for most outgoing communications; for Security Alerts we use GitLab Security. Choosing a name that is consistent with the type and/or content of email being sent is important, if unsure make a note and we will make recommendation  
- **Sender Email Address**: What email address should be used?
- **Subject Line**: 50 character max is preferred
- **Email Body Copy**: Can be a text snippet within issue, clearly identified comment on issue or attach a Google doc with copy
- **Target Date to Send Email**: at a minimum a few days notice is preferred because we need to balancing the number of emails being sent to our database so they are not perceived (or marked) as spam; however, a simple email can be turned in a few hours if absolutely necessary
- **Recipient List**: Emails can be sent to one of the [existing segments](/handbook/marketing/marketing-sales-development/marketing-operations//#email-segments) or a recipient list can be provided as a .csv file

### Email Communication Policy   
As of 22 August 2017, all email marketing communications are explicit opt-in. Using the [Email Subscription Center](https://page.gitlab.com/SubscriptionCenter.html), users can control their email communication preferences. There are currently 4 [email segments](/handbook/marketing/marketing-sales-development/marketing-operations//#email-segments).

### Email Segments
Database segments and how someone subscribes to specific segment:  

- **Newsletter**: All users who sign up for a GitLab.com account are automatically added to this segment and users can subscribe to the newsletter through the blog, Contact Us page and CE download page.
- **Security Alerts**: Subscribe on the GitLab [Contact Us page](https://about.gitlab.com/contact/)
- **Webcasts**: When someone registers to a live or on-demand webcast
- **Live Events**: When someone registers to attend a live event, meet up or in-person training. Use of this segment is narrowed down by geolocation so notification and invitation emails are specific to related area.  



### Types of Email
**Breaking Change Emails**  
These are operation emails that can be sent on a very selective as needed basis. This is an operational-type email that overrides the unsubscribe and does not provide the opportunity for someone to opt-out. Usage example: GitLab Hosted billing change, Release update 9.0.0 changes, GitLab Page change and Old CI Runner clients.
It is very important to have Engineering and/or Product team (whoever is requesting this type of email) help us narrow these announcements to the people that actually should be warned so we are communicating to a very specific targeted list.


**Newsletter**  
Sent bi-monthly (every 2 weeks). Content Team is responsible for creating the content for each Newsletter.  


**Security Alerts**  
Sent on an as needed basis containing important information about any security patches, identified vulnerabilities, etc related to the GitLab platform. These emails are purely text based.


**Webcasts**   
Invitation and/or notification emails sent about future webcasts.   


**Live Events**   
Invitation emails to attend a live event (VIP or Executive Lunch), meetup, or in-person training. These emails are sent to a geolocational subset of the overall segment. This type of email is also used when we are attending a conference and want to make people aware of any booth or event we may be holding and/or sponsoring.
